Do not miss any Lumetrade API changes, ever again

Subscribe to the Lumetrade API changelog to be up to date on recent changes.

RSS

May 6, 2026

main
v1
Compare

API structure has changed

16 structure changes including:
1 Addition
15 Modifications
Modified 15 Breaking
GET /api/v1/accounts
  • Response
  • 200 response Modified
    • application/json content type Modified
      • id property Modified
        • Type went from integer(int64) to string
          Breaking
      • currencySymbol, currencyName, custodyBalance properties Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
  • 401 response Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/v1/accounts/{accountId}
  • Path
  • accountId path parameter Modified
    • Type went from integer(int64) to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • id property Modified
        • Type went from integer(int64) to string
          Breaking
      • currencySymbol, currencyName, custodyBalance properties Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
  • 404 response Modified
    • application/json content type Modified
      • id property Modified
        • Type went from integer(int64) to string
          Breaking
      • currencySymbol, currencyName, custodyBalance properties Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
  • 401 response Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/v1/beneficiaries
  • Response
  • 200 response Modified
    • application/json content type Modified
      • id property Modified
        • Type went from integer(int64) to string
          Breaking
  • 401 response Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/v1/beneficiaries/{beneficiaryId}
  • Path
  • beneficiaryId path parameter Modified
    • Type went from integer(int64) to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • id property Modified
        • Type went from integer(int64) to string
          Breaking
  • 404 response Modified
    • application/json content type Modified
      • id property Modified
        • Type went from integer(int64) to string
          Breaking
  • 401 response Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/v1/currencies
  • Response
  • 200 response Modified
    • application/json content type Modified
      • Type went from object to array[object]
        Breaking
      • currencies property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • ExternalCurrencyResponse property Added
  • 401 response Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/v1/deposits
  • Response
  • 401 response Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/v1/deposits/{depositId}
  • Response
  • 401 response Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/v1/trades
  • Response
  • 200 response Modified
    • application/json content type Modified
      • fills property Modified
        • tradeId property Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
      • trade property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • fromCurrency, toCurrency, fromAmount, toAmount, rate, isRateInverted, isRfq, status, transactionId, createdAt, completedAt properties Added
  • 401 response Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/v1/trades/{transactionId}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • fromAccountId, toAccountId properties Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • createdAt, fills properties Added
  • 404 response Modified
    • application/json content type Modified
      • fromAccountId, toAccountId properties Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • createdAt, fills properties Added
  • 401 response Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/v1/wallets
  • Response
  • 200 response Modified
    • application/json content type Modified
      • id property Modified
        • Type went from integer(int64) to string
          Breaking
      • paymentCurrencyRouteId property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • currency, networkName, paymentMethodType properties Added
  • 401 response Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • paymentMethodType, networkName query parameters Added
GET /api/v1/wallets/{walletId}
  • Path
  • walletId path parameter Modified
    • Type went from integer(int64) to string
      Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • id property Modified
        • Type went from integer(int64) to string
          Breaking
      • paymentCurrencyRouteId property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • currency, networkName, paymentMethodType properties Added
  • 404 response Modified
    • application/json content type Modified
      • id property Modified
        • Type went from integer(int64) to string
          Breaking
      • paymentCurrencyRouteId property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • currency, networkName, paymentMethodType properties Added
  • 401 response Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/v1/withdrawals
  • Response
  • 200 response Modified
    • application/json content type Modified
      • currencyCode, accountId properties Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • currency, createdAt properties Added
  • 401 response Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/v1/withdrawals/{transactionId}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • currencyCode, accountId properties Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • currency, createdAt properties Added
  • 404 response Modified
    • application/json content type Modified
      • currencyCode, accountId properties Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • currency, createdAt properties Added
  • 401 response Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/v1/accounts
  • Response
  • 201 response Modified
    • application/json content type Modified
      • id property Modified
        • Type went from integer(int64) to string
          Breaking
      • currencySymbol, currencyName, custodyBalance properties Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
  • 400 response Modified
    • application/json content type Modified
      • id property Modified
        • Type went from integer(int64) to string
          Breaking
      • currencySymbol, currencyName, custodyBalance properties Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
  • 404 response Modified
    • application/json content type Modified
      • id property Modified
        • Type went from integer(int64) to string
          Breaking
      • currencySymbol, currencyName, custodyBalance properties Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
  • 409 response Modified
    • application/json content type Modified
      • id property Modified
        • Type went from integer(int64) to string
          Breaking
      • currencySymbol, currencyName, custodyBalance properties Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
  • 401 response Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/v1/beneficiaries/withdrawals
  • Body
  • application/json content type Modified
    • beneficiaryId property Modified
      • Property is no longer required
      • Type went from integer(int64) to string
        Breaking
  • Response
  • 201 response Modified
    • application/json content type Modified
      • internalTransactionId property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • transactionId property Added
  • 400 response Modified
    • application/json content type Modified
      • internalTransactionId property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • transactionId property Added
  • 404 response Modified
    • application/json content type Modified
      • internalTransactionId property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • transactionId property Added
  • 401 response Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
Added 1
GET /api/v1/accounts/currency/{currencyCode}